package com.ruoyi.project.common.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.common.domain.MessageChat;
import com.ruoyi.project.common.dto.MessageChatDto;

import java.util.List;

/**
 * 聊天室Service接口
 *
 * @author jubs
 * @date 2024-05-14
 */
public interface IMessageChatService extends IService<MessageChat> {
    List<MessageChatDto> getChatRoomByUserIds(List<Long> userIds, Long quotationId,String chatName);

    int readMessage(MessageChatDto dto);

    List<MessageChatDto> getChatRoomByQuery(MessageChatDto messageChatDto);

}
